Bug 504294 - qemu-system-ppc fails to boot ISO image
qemu-system-ppc fails to boot ISO image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openbios (Show other bugs)
14
ppc64 Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-05 09:32 EDT by Thomas J. Baker
Modified: 2012-05-29 10:24 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 10:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2009-06-05 09:32:08 EDT
I'm running these:

libvirt-0.6.2-12.fc11.x86_64
libvirt-python-0.6.2-12.fc11.x86_64
virt-manager-0.7.0-5.fc11.x86_64
qemu-system-ppc-0.10.5-1.fc11.x86_64
qemu-system-x86-0.10.5-1.fc11.x86_64
qemu-common-0.10.5-1.fc11.x86_64
qemu-kvm-tools-0.10.5-1.fc11.x86_64
qemu-kvm-0.10.5-1.fc11.x86_64
qemu-img-0.10.5-1.fc11.x86_64

When I try to create a qemu ppc virtual machine using an F9 DVD boot iso, the machine starts and leaves me in the openbios. I don't know how to make it boot and typing various boot incarnations found on the net just results in an 'ok' response.
Comment 1 Mark McLoughlin 2009-06-05 10:45:41 EDT
openbios-ppc-1.0-1.fc11 I assume ?

I've just tried 'qemu-system-ppc boot.iso' (latest rawhide ppc boot.iso) and it gets a bit further, failing with "yaboot.conf: Unknown or corrupt filesystem"
Comment 2 Thomas J. Baker 2009-06-05 11:04:01 EDT
Yes, openbios-ppc-1.0-1.fc11.noarch.
Comment 3 Jan Kratochvil 2009-11-25 06:08:57 EST
openbios-ppc-1.0-2.fc12.noarch
qemu-system-ppc-0.11.0-11.fc12.x86_64
Fedora-12-ppc-netinst.iso

cd:0,\ppc\chrp\yaboot.conf: Unknown or corrupt filesystem
Comment 4 Jan Kratochvil 2009-11-25 14:14:21 EST
upstream openbios snapshot may have the problem fixed according to some mails and its SVN log but it failed to build for me in Koji:

http://koji.fedoraproject.org/koji/getfile?taskID=1830225&name=build.log

[...]
  GEN   openbios.dict
/usr/bin/ld: Warning: openbios-unix uses hard float, target/arch/unix/unix.o uses soft float
[...]
libmodules.a(elf-loader.o): In function `elf_loader_init_program':
/builddir/build/BUILD/openbios-r634/obj-ppc/../modules/elf-loader.c:77: undefined reference to `flush_icache_range'
libmodules.a(ofmem_common.o): In function `get_ram_size':
/builddir/build/BUILD/openbios-r634/obj-ppc/../modules/ofmem_common.c:35: undefined reference to `ofmem_arch_get_private'
[...]
Comment 5 Jaroslav Škarvada 2010-03-03 12:53:59 EST
I got beyond the "Unknown or corrupt filesystem" error with latest built from the SVN (tried 2010-03-03). It builts fine, but there is a problem with linking if GCC-4.4.3 is used. Built with GCC-4.4.1 without problems (dist-f11 target).
Comment 6 Jan Kratochvil 2010-06-11 13:12:09 EDT
openbios-ppc-1.0-2.fc12.noarch
qemu-system-ppc-0.12.3-8.fc13.x86_64
Comment 7 Jan Kratochvil 2011-01-06 23:37:30 EST
openbios-ppc-1.0-2.fc12.noarch
qemu-system-ppc-0.13.0-1.fc14.x86_64
Fedora-12-ppc-netinst.iso
Comment 8 Jan Kratochvil 2011-12-23 11:23:23 EST
Due to Bug 679179 qemu-system-ppc is even no longer present in F-16.
Comment 9 Cole Robinson 2012-05-29 10:24:58 EDT
Openbios has been retired in Fedora, and f14 has been end of life for a while, so closing this WONTFIX

Note You need to log in before you can comment on or make changes to this bug.